<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.1"
	xmlns="http://xmlns.jcp.org/xml/ns/persistence"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence http://xmlns.jcp.org/xml/ns/persistence/persistence_2_1.xsd">

	<persistence-unit name="regressao_facil"
		transaction-type="RESOURCE_LOCAL">

		<provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>

		<!-- <provider>org.hibernate.jpa.HibernatePersistenceProvider</provider> -->

		<class>br.edu.regressaofacil.modelos.Modelo</class>
		<class>br.edu.regressaofacil.modelos.Token</class>
		<class>br.edu.regressaofacil.modelos.Usuario</class>

		<exclude-unlisted-classes>true</exclude-unlisted-classes>

		<properties>
			<property name="hibernate.dialect"
				value="org.hibernate.dialect.MySQL5InnoDBDialect" />
			<property name="hibernate.show_sql" value="true" />
			<property name="hibernate.format_sql" value="true" />
			<property name="hibernate.hbm2ddl.auto" value="update" />
		</properties>

	</persistence-unit>

</persistence>